#include <Sparki.h> // include the sparki library
 
void setup() {
  sparki.gripperOpen();    // make sure gripper is open initially
  delay(5000);
  sparki.gripperStop();
  
  sparki.moveForward(10); // assume that Sparki should move forward 10 cm to grip the block
                          // This is the one you should measure mannually and do hard coding
  sparki.gripperClose(); 
  delay(3000);    // assume 3 second is enough time to grip the blcok
                  // you may need to adjust this value to pick up the block
  sparki.gripperStop();
  sparki.moveRight(180); // turn back - you can also use sparki.moveLeft(180) instead
  sparki.moveForward(10); // move sparki forward 10 cm
  sparki.moveStop();
  sparki.gripperOpen(); // open gripper to release the block
  delay(3000);          //use same value used in gripperClose
  sparki.gripperStop();
}

void loop()
{
    
}
