#include <Sparki.h> // include the sparki library

int flag = 1;    // define global variable flag and set it 1

void setup() {
  sparki.servo(SERVO_CENTER); // Center the Servo
  sparki.gripperOpen();    // make sure gripper is open initially
  delay(5000);
  sparki.gripperStop();
}

void loop()
{
  while (flag == 1)    // do followings until flag is 1
  {
    sparki.moveForward(); // move Sparki forward
    int cm = sparki.ping(); // measures the distance with Sparki's eyes
        
    if(cm != -1) // make sure its not too close or too far
    { 
        if(cm < 10) // assume block is located when Sparki is 10cm away from wall
        {
            sparki.gripperClose(); 
            delay(3000);    // assume 3 second is enough time to grip the blcok
                            // you may need to adjust this value to pick up the block
            sparki.gripperStop();
            sparki.moveRight(180); // turn back - you can also use sparki.moveLeft(180) instead
            sparki.moveForward(10); // move sparki forward 10 cm
            sparki.moveStop();
            sparki.gripperOpen(); // open gripper to release the block
            delay(3000);          //use same value used in gripperClose
            sparki.gripperStop();
            flag = 0;    // once it is done, set flag to 0 to get out from while loop
        }
    }
  }
  delay(100); // wait 0.1 seconds (100 milliseconds)
}
